Bug 772618 - Review Request: perl-News-NNTPClient - Perl 5 module to talk to NNTP (RFC977) server
Summary: Review Request: perl-News-NNTPClient - Perl 5 module to talk to NNTP (RFC977)...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-09 12:48 UTC by Jeroen van Meeuwen
Modified: 2016-11-11 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-04 13:32:21 UTC
psabata: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1394267 None None None Never

Internal Links: 1394267

Description Jeroen van Meeuwen 2012-01-09 12:48:09 UTC
Spec URL: http://hosted.kolabsys.com/~vanmeeuwen/perl-News-NNTPClient.spec
SRPM URL: http://hosted.kolabsys.com/~vanmeeuwen/perl-News-NNTPClient-0.37-1.fc17.src.rpm
Description:

This module implements a client interface to NNTP, enabling a Perl 5
application to talk to NNTP servers.  It uses the OOP (Object Oriented
Programming) interface introduced with Perl 5.

Remark: Necessary for Cyrus IMAP test suite Cassandane

Comment 1 Petr Šabata 2012-01-10 15:15:08 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint perl-News-NNTPClient-0.37-1.fc17.src.rpm

perl-News-NNTPClient.src:16: W: unversioned-explicit-provides perl(News::NNTPClient)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint perl-News-NNTPClient-0.37-1.fc17.noarch.rpm

perl-News-NNTPClient.noarch: E: useless-provides perl(News::NNTPClient)
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/772618/NNTPClient-0.37.tar.gz :
  MD5SUM this package     : 1b0257d13f38d2b71bb85d5ac76f5fd1
  MD5SUM upstream package : 1b0257d13f38d2b71bb85d5ac76f5fd1

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define module_version 0.37

Issues:
TODO: Add the following BR: perl(Carp), perl(Socket)
TODO: Remove BuildRoot, %clean and buildroot removal from %install
TODO: Remove %defattr from %files
TODO: Change License to 'GPL+ or Artistic'
TODO: Remove useless, unversioned News::NNTPClient Provides.
TODO: Change %define to %global on line 3 if you really want to use this macro (why?).
NOTE: It would be nice to include demos/ in %doc


Generated by fedora-review 0.1.1
External plugins:

Comment 2 Petr Šabata 2013-01-17 15:02:42 UTC
Ping, it's been over a year.  Any news?


Note You need to log in before you can comment on or make changes to this bug.